<?php

namespace Countee\Components\Account;

use Nette;
use Countee;

class Factory
{  
    
    /**
     * @var Nette\DI\Container 
     */
    private $container;
    
    /**
     * @var Countee\Model\Bank\AccountFactory
     */
    private $accountFactory;
    
    public function __construct(Nette\DI\Container $container, Countee\Model\Bank\AccountFactory $accountFactory)
    {
        $this->container = $container;
        $this->accountFactory = $accountFactory;
    }

    /**
     * 
     * @param int $userId
     * @param string $bankTag
     * @return \Countee\Components\Account\Fio
     */
    public function createAccount($userId, $bankTag) {

        $bank = $this->accountFactory->getBankByTag($bankTag);
        $class = '\Countee\Components\Account\\' . ucfirst(strtolower($bank->tag));

        return new  $class($this->container->getByType('\Countee\Model\Bank\\' . ucfirst(strtolower($bank->tag)) . '\Account'), $userId);
    }
    
    /**
     * 
     * @param type $userId
     * @return \Countee\Components\Account\Fio
     */
    public function editAccount($userId, $accountId) {
        
        $account = $this->accountFactory->getAccount($accountId, $userId);
        $class = '\Countee\Components\Account\\' . ucfirst(strtolower($account->bank->tag));

        return new  $class($this->accountFactory->getAccountObject($accountId, $userId), $userId, $account->id);
    }
    
   
    
}
