<?php

namespace Countee\Components\Account;

use Nette;
use Nette\Application\UI\Form;
use Countee;

abstract class General extends Nette\Application\UI\Control
{
    protected function createComponentAccountForm() {
        $form = new Form;
        
        Countee\Helper\Form::makeBootstrap3($form);
        
        $form->addText('account_name', 'Název účtu:')
                ->setRequired('Zadejte název účtu.');
        $form->addTextArea('account_description', 'Popisek:');
        $form->addSubmit('send', 'Submit');
        $form->onSuccess[] = [$this, 'formSuccess'];

        return $form;
    }

    public function formSuccess(Form $form) {
        $values = $form->getValues();
        dump($values);
        $this->presenter->flashMessage('Jo', 'success');
    }



    public function render() {
        $this['accountForm']->render();
    }

}
