<?php

namespace Countee\Components\Category;

use Nette;
use Nette\Application\UI\Form;
use Countee;

class SetCategory extends Nette\Application\UI\Control
{
    
    /**
     * @var Countee\Model\Category\Assign
     */
    private $categoryAssign;
    
    /**
     * @var Countee\Model\Category\Model
     */
    private $categoryModel;
    
    
    /**
     *
     * @var 
     */
    private $transaction;
    
    /**
     *
     * @var int
     */
    private $userId;
    
    public function __construct(Countee\Model\Category\Assign $categoryAssign, Countee\Model\Category\Model $categoryModel, int $userId, int $transactionId) {
        $this->categoryAssign = $categoryAssign;
        $this->categoryModel = $categoryModel;
        $this->transaction = $this->categoryModel->getTable('transaction')->get($transactionId);
        $this->userId = $userId;
        
        parent::__construct();
    }
    protected function createComponentAccountForm() {
        $form = new Form;
        $form->getElementPrototype()->class('ajax');
        Countee\Helper\Form::makeBootstrap3($form);
        $form->addSelect('category', 'Kategorie', $this->categoryModel->getCategoriesForm($this->userId))
                ->setPrompt('Vyberte kategorii')
                ->setDefaultValue($this->transaction->category_id);
        $form->addSubmit('send', 'Submit');
        $form->onSuccess[] = [$this, 'formSuccess'];

        return $form;
    }

    public function formSuccess(Form $form) {
        $this->categoryAssign->assignCategory($this->userId, $this->transaction->id, $form->values->category, true);
        $this->presenter->flashMessage('Kategorie byla nastavena.', 'success');
    }

    public function render() {
        $this->template->transactionId = $this->transaction->id;
        $this->template->render(__DIR__ . '/templates/SetCategory.latte');
    }

}
