<?php

namespace Countee\Components\Payable;

use Nette;
use Countee;

class Factory
{  
    
    /**
     * @var Nette\DI\Container 
     */
    private $container;

    /**
     * @var Countee\Model\Payable\Commitment
     */
    private $commitmentModel;
    
    /**
     * @var Countee\Model\Category\Model
     */
    private $categoryModel;
    
        /**
     * @var Countee\Model\Receivable\Model
     */
    private $receivableModel;
    
    public function __construct(Nette\DI\Container $container, Countee\Model\Payable\Commitment $commitmentModel, Countee\Model\Payable\Receivable $receivableModel, Countee\Model\Category\Model $categoryModel)
    {
        $this->container = $container;
        $this->commitmentModel = $commitmentModel;
        $this->receivableModel = $receivableModel;
        $this->categoryModel = $categoryModel;
    }

    /**
     * 
     * @param int $userId
     * @return \Countee\Components\Payable\Commitment
     */
    public function createCommitment(int $userId, $commitmentId = null) {
        return new Commitment($this->commitmentModel, $this->categoryModel, $userId, $commitmentId);
    }
    
    /**
     * 
     * @param int $userId
     * @return \Countee\Components\Payable\CommitmentSpayd
     */
    public function createCommitmentSpayd(int $userId) {
        return new CommitmentSpayd($this->commitmentModel, $this->categoryModel, $userId);
    }
    
        /**
     * 
     * @param int $userId
     * @return \Countee\Components\Payable\CommitmentInvoice
     */
    public function createCommitmentInvoice(int $userId) {
        return new CommitmentInvoice($this->commitmentModel, $this->categoryModel, $userId);
    }
    
    /**
     * 
     * @param int $userId
     * @return \Countee\Components\Payable\Receivable
     */
    public function createReceivable(int $userId, $receivableId = null) {
        return new Receivable($this->receivableModel, $this->categoryModel, $userId, $receivableId);
    }
    
}
