<?php

namespace Countee\Console;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Countee;

class SyncAllCommand extends Command
{

    protected function configure()
    {
        $this->setName('countee:sync-all')
                ->setDescription('Sync all accounts');
    }

    /**
     * Sync all accounts execute method
     * 
     * @param InputInterface $input
     * @param OutputInterface $output
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $db = $this->getHelper('container')->getByType('Nette\Database\Context');
        $fio = $this->getHelper('container')->getByType('Countee\Model\Bank\Fio\Account');

        $accounts = $db->table('account')->order('last_download ASC');
        foreach ($accounts as $account) {
            if (Countee\Model\Bank\Fio\Account::BANK_ID == $account->bank_id) {
                $fio->syncAccount($account->id);
                $output->writeLn('Fio account with id #' . $account->id . ' synchronized.');
            }
        }
    }

}
