<?php

namespace Countee\Helper;

use Nette;

class Paginator
{
    /**
     * Number of pages shown - 4 is minimal value!
     * Even numbers only!
     */
    const PAGES_SHOWN = 4;
    
    /**
     * 
     * @param Nette\Utils\Paginator $paginator
     * @return int
     */
    public static function getFirst(Nette\Utils\Paginator $paginator)
    {
        if($paginator->getPageCount() <= self::PAGES_SHOWN || ($paginator->getPage() - (self::PAGES_SHOWN / 2 - 1)) < 1) {
            return 1;
        } 
        
        if(($paginator->getPageCount() - $paginator->getPage()) <= (self::PAGES_SHOWN / 2)) {
            return $paginator->getPage() - (self::PAGES_SHOWN - ($paginator->getPageCount() - $paginator->getPage() + 1)); 
        }
        
        return $paginator->getPage() - (self::PAGES_SHOWN / 2  - 1);
        
    }
    
    /**
     * 
     * @param Nette\Utils\Paginator $paginator
     * @return int
     */
    public static function getLast(Nette\Utils\Paginator $paginator)
    {
        if($paginator->getPageCount() <= self::PAGES_SHOWN) {
            return $paginator->getPageCount();
        } 
        
        if($paginator->getPage() - (self::PAGES_SHOWN / 2  - 1) < 1) {
            return self::PAGES_SHOWN; 
        }
        
        if(($paginator->getPageCount() - $paginator->getPage()) <= (self::PAGES_SHOWN / 2)) {
            return $paginator->getPageCount(); 
        }
        
        return $paginator->getPage() + (self::PAGES_SHOWN / 2); 
    }
}
