<?php

namespace Countee\Model\Bank;

use Countee;
use GuzzleHttp;
use Nette;

class AccountFactory extends Countee\Model\BaseDatabaseModel
{

    /**
     *
     * @var Nette\DI\Container
     */
    private $container;

    public function __construct(Nette\Database\Context $database, Nette\DI\Container $container)
    {
        $this->container = $container;
        parent::__construct($database);
    }

    public function getAccountObject(int $accountId, $userId = null)
    {
        $account = $this->getAccount($accountId, $userId);
        if ($account) {
            return $this->container->getByType('\Countee\Model\Bank\\' . ucfirst(strtolower($account->bank->tag)) . '\Account');
        } else {
            return false;
        }
    }

}
