<?php

namespace Countee\Model\Bank;

use Countee;
use Nette;

class TransactionSync extends Countee\Model\BaseDatabaseModel
{
    
    private $userId;
    
    public function __construct(Nette\Database\Context $database, int $userId)
    {
        $this->userId = $userId;
        parent::__construct($database);
    }

    /**
     * Checks if transaction exists in DB
     */
    private function transactionExists(Countee\Model\Bank\Transaction $transaction, int $accountId)
    {
        $transactions = $this->getTable('transaction')->where([
            'bank_transaction_id' => $transaction->getId(),
            'account_id' => $accountId,
        ]);

        return ($transactions->count() > 0);
    }
    /**
     * Transaction DB transfer
     *
     * @param Countee\Model\Bank\Transaction $transaction
     * @param int $accountId
     */
    public function transfer(Countee\Model\Bank\Transaction $transaction, int $accountId)
    {
        if ($this->transactionExists($transaction, $accountId)) {
            return false;
        }

        return $this->getTable('transaction')->insert(array_merge($transaction->getValues(), [
            'account_id' => $accountId
        ]));
    }
}
