<?php

namespace Countee\Model\Category;

use Countee;
use Nette;

class Seed extends Countee\Model\BaseDatabaseModel {

    const CATEGORIES = [
        'Auto a doprava' => [
            'Parkování a poplatky',
            'Pohonné hmoty',
            'Pojištění vozidla',
            'Servis náhradní díly',
            'Veřejná dorpava a taxy',
            'Auto a doprava - jiné'
        ],
        'Děti' => [
            'Dětské kroužky a aktivity',
            'Hračky a potřeby pro děti',
            'Mateřská škola a hlídání',
            'Škola a školní potřeby',
            'Děti - jiné'
        ],
        'Domácnost' => [
            'Doplňky a vybavení',
            'Dům a zahrada',
            'Pojištění domácnosti',
            'Provoz domácnosti',
            'Domácnost - jiné'
        ],
        'Firemní' => [
            'Pronájem obchodních prostor',
            'Převod na firemní účet',
            'Příjmy z podnikání',
            'Firemní - jiné'
        ],
        'Každodenní' => [
            'Alkohol',
            'Cigarety',
            'Domácí zvířata',
            'Potraviny a drogerie',
            'Restaurace',
            'Každodenní - jiné'
        ],
        'Osobní' => [
            'Dárky a dobročinnost',
            'Elektronika',
            'Hudba, filmy, knihy a časopisy',
            'Oblečení a obuv',
            'Vzdělávání',
            'Zdraví a krása',
            'Osobní - jiné'
        ],
        'Ostatní' => [
            'Výběr v hotovosti',
            'Ostatní - jiné'
        ],
        'Platby' => [
            'Daně',
            'Elektřina',
            'Nájem',
            'Plyn',
            'Pojištění',
            'Poplatky a úroky',
            'Splátky',
            'Televize, internet, telefon',
            'Vodné a stočné',
            'Vytápění',
            'Platby - jiné',
        ],
        'Zábava' => [
            'Akce a události',
            'Cestování',
            'Sport a koníčky',
            'Zábava - jiné',
        ],
        'Úspory a investice' => [
            'Akcie',
            'Fondy',
            'Pravidelné spoření',
            'Vklady a spoření',
            'Úspory a investice - jiné',
        ]
    ];

    public function seedCategories(Nette\Database\Table\IRow $user, $categories = self::CATEGORIES, $parentId = null) {
        foreach ($categories as $key => $value) {
            if (is_array($value)) {
                $category = $this->getTable('category')->insert([
                    'user_id' => $user->id,
                    'name' => $key,
                    'parent_id' => $parentId
                ]);

                $this->seedCategories($user, $value, $category->id);
                
            } else {
                $category = $this->getTable('category')->insert([
                    'user_id' => $user->id,
                    'name' => $value,
                    'parent_id' => $parentId
                ]);
            }
        }
    }

}
