<?php

namespace Countee\Model\Email;

use Countee;
use GuzzleHttp;
use Nette;

class Read extends Countee\Model\BaseDatabaseModel
{

    public function read()
    {
        /* Create gmail connection */
        $hostname = '{tracking.countee.cz}INBOX';
        $username = '1518159374870014@tracking.countee.cz';
        $password = 'veslo';
        $inbox = imap_open($hostname, $username, $password) or die('Cannot connect to Gmail: ' . imap_last_error());

        /* Fetch emails */
        $emails = imap_search($inbox, "ALL");

        /* If emails are returned, cycle through each... */
        if ($emails) {
            $output = '';

            /* Make the newest emails on top */
            rsort($emails);

            /* For each email... */
            foreach ($emails as $email_number) {

                $headerInfo = imap_headerinfo($inbox, $email_number);
                $structure = imap_fetchstructure($inbox, $email_number);

                /* get information specific to this email */
                $overview = imap_fetch_overview($inbox, $email_number, 0);

                /* get mesage body */
                $message = imap_qprint(imap_fetchbody($inbox, $email_number, 1));

                /*
                  // If attachment found use this one
                  // $message = imap_qprint(imap_fetchbody($inbox,$email_number,"1.2"));
                 */

                $output .= 'Subject: ' . $overview[0]->subject . '<br />';
                $output .= 'Body: ' . $message . '<br />';
                $output .= 'From: ' . $overview[0]->from . '<br />';
                $output .= 'Date: ' . $overview[0]->date . '<br />';

//  Attachments
                $attachments = array();
                if (isset($structure->parts) && count($structure->parts)) {
                    for ($i = 0; $i < count($structure->parts); $i++) {
                        $attachments[$i] = array(
                            'is_attachment' => false,
                            'filename' => '',
                            'name' => '',
                            'attachment' => ''
                        );

                        if ($structure->parts[$i]->ifdparameters) {
                            foreach ($structure->parts[$i]->dparameters as $object) {
                                if (strtolower($object->attribute) == 'filename') {
                                    $attachments[$i]['is_attachment'] = true;
                                    $attachments[$i]['filename'] = $object->value;
                                }
                            }
                        }

                        if ($structure->parts[$i]->ifparameters) {
                            foreach ($structure->parts[$i]->parameters as $object) {
                                if (strtolower($object->attribute) == 'name') {
                                    $attachments[$i]['is_attachment'] = true;
                                    $attachments[$i]['name'] = $object->value;
                                }
                            }
                        }

                        if ($attachments[$i]['is_attachment']) {
                            $attachments[$i]['attachment'] = imap_fetchbody($inbox, $email_number, $i + 1);

                            /* 3 = BASE64 encoding */
                            if ($structure->parts[$i]->encoding == 3) {
                                $attachments[$i]['attachment'] = base64_decode($attachments[$i]['attachment']);
                            }
                            /* 4 = QUOTED-PRINTABLE encoding */ elseif ($structure->parts[$i]->encoding == 4) {
                                $attachments[$i]['attachment'] = quoted_printable_decode($attachments[$i]['attachment']);
                            }
                        }
                    }
                }

                foreach ($attachments as $attachment) {
                    if ($attachment['is_attachment'] == 1) {
                        $filename = $attachment['name'];
                        if (empty($filename))
                            $filename = $attachment['filename'];
                        $file_path = 'upload/'; //  Upload folder
                        $fp = fopen($file_path . $filename, "w+");
                        fwrite($fp, $attachment['attachment']);
                        fclose($fp);
                    }
                }
//  Attachments

                /* change the status */
                $status = imap_setflag_full($inbox, $overview[0]->msgno, "\Seen \Flagged");
            }

            echo $output;
        }

        /* close the connection */
        imap_close($inbox);
    }

}
