<?php

/*
 * This file is part of the Countee app
 *
 * (c) Jiří Brada <jiri@jbrada.cz>
 *
 */

namespace Countee\Presenters;

use Nette;

/**
* Presenter handles 4xx errors
*
* @author Jiří Brada <jiri@jbrada.cz>
*/
class Error4xxPresenter extends BasePresenter
{
    /**
    * startup
    */
    public function startup()
    {
        parent::startup();
        if (!$this->getRequest()->isMethod(Nette\Application\Request::FORWARD)) {
            $this->error();
        }
    }

    public function renderDefault(Nette\Application\BadRequestException $exception)
    {
        $file = __DIR__ . "/templates/Error/{$exception->getCode()}.latte";
        $this->template->setFile(is_file($file) ? $file : __DIR__ . '/templates/Error/4xx.latte');
    }
}
