<?php

namespace Countee\Presenters;

use Nette;
use Nette\Utils\Paginator;
use Nette\Application\UI\Multiplier;
use Countee\Model;
use Countee;

class TransactionPresenter extends SecuredPresenter 
{

    
    protected function createComponentSetCategory() {
        return new Multiplier(function (int $transactionId) {
            return $this->categoryComponentFactory->createSetCategory($this->user->id, $transactionId);
        });
    }

    public function renderDefault($accountId = NULL, $page = 1) {
        //Pagination
        $transactions = $this->frontendDashboard->getTransactions($this->user->id, $accountId);
        $paginator = new Nette\Utils\Paginator;
        $paginator->setItemCount($transactions->count());
        $paginator->setItemsPerPage(20);
        $paginator->setPage($page);
        $this->template->paginator = $paginator;
        $this->template->paginatorShowFirst = Countee\Helper\Paginator::getFirst($paginator);
        $this->template->paginatorShowLast = Countee\Helper\Paginator::getLast($paginator);

        $this->template->transactions = $this->frontendDashboard->getTransactions($this->user->id, $accountId)->limit($paginator->getLength(), $paginator->getOffset());
        $this->template->accountInfo = $this->frontendDashboard->getActiveAccountInfo($this->user->id, $accountId);
    }

}
