<?php

use Phinx\Migration\AbstractMigration;

class TableAccountInit extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('account');
        $table->addColumn('user_id', 'integer')
              ->addColumn('bank_id', 'integer')
              ->addColumn('last_download', 'datetime')
              ->addColumn('last_operation', 'datetime')
              ->addColumn('account_name', 'string')
              ->addColumn('account_description', 'text', ['null' => true])
              ->addColumn('account_number', 'string', ['null' => true])
              ->addColumn('bank_code', 'string', ['null' => true])
              ->addForeignKey('user_id', 'user', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
              ->addForeignKey('bank_id', 'bank', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
              ->create();
    }
}
