<?php

use Phinx\Migration\AbstractMigration;

class TableReceivableInit extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('receivable');
        $table->addColumn('user_id', 'integer')
              ->addColumn('account_id', 'integer')
              ->addColumn('name', 'string')
              ->addColumn('description', 'text', ['null' => true])
              ->addColumn('ammount', 'float')
              ->addColumn('paid', 'string', ['null' => true])
              ->addColumn('due_date', 'datetime')
              ->addColumn('vs', 'string', ['null' => true])
              ->addColumn('status', 'integer', ['null' => true])
              ->addForeignKey('user_id', 'user', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
              ->addForeignKey('account_id', 'account', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
              ->create();
    }
}
