<?php

use Phinx\Migration\AbstractMigration;

class TableTransactionInit extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('transaction');
        $table->addColumn('account_id', 'integer')
              ->addColumn('bank_transaction_id', 'biginteger')
              ->addColumn('category_id', 'integer', ['null' => true])
              ->addColumn('category_user_assigned', 'integer', ['default' => 0])
              ->addColumn('date', 'datetime')
              ->addColumn('vs', 'integer', ['null' => true])
              ->addColumn('ammount', 'string')
              ->addColumn('currency', 'string')
              ->addColumn('type', 'string')
              ->addColumn('related_account_number', 'string', ['null' => true])
              ->addColumn('related_account_bank', 'string', ['null' => true])
              ->addColumn('related_account_name', 'string', ['null' => true])
              ->addColumn('message', 'text', ['null' => true])
              ->addForeignKey('account_id', 'account', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
              ->create();
    }
}
